/* 
 * This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Author: Sascha Dietrich
 *
 * Created on 20. April 2012, 12:24
 */

#ifndef READ_HPP
#define READ_HPP
#include <cstdlib>

struct Read { 
    bool unique;
    bool mapped;
    int alignlen; 
    int start;
    int stop;
    int orient; //0: +, 1: -
    int myRep;
    int mapType;  //0 unmapped, 1 mapped, 2 multimapped
    
    float bitScore;
    int mismatches;
    std::string name;
    std::string contig;
};

#endif	/* READ_HPP */

